Bug 197592 - sky2 network driver problem under high traffic load on Toshiba M40
sky2 network driver problem under high traffic load on Toshiba M40
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-04 08:31 EDT by Davide Rossetti
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-07 17:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg of 2.6.16-1.2133_FC5 (19.94 KB, text/plain)
2006-07-04 08:31 EDT, Davide Rossetti
no flags Details
lspci dump (7.16 KB, text/plain)
2006-07-04 10:36 EDT, Davide Rossetti
no flags Details

  None (edit)
Description Davide Rossetti 2006-07-04 08:31:07 EDT
Description of problem:
sky2 driver on Toshiba M40 looses functionality under high traffic.

moreover there is a problem during the probe for IRQ6 by the ohci1394 driver
this very error is intermittently obtained in several kernel versions, even
though latest 2.6.15 kernels solved this issue

attached a dmesg

Version-Release number of selected component (if applicable):
every kernel up to kernel 2.6.16-1.2133_FC5

How reproducible:
easily, see below

Steps to Reproduce:
1. mount a NFS fs over a 100MBit switch
2. cp /nfsdir/bigfile /localdir
3. after some seconds of 4-5 MB/s traffic, the ethernet connection stops
Actual results:

Expected results:

Additional info:
to recover ethernet functionality, I need to rmmod->insmod sky2 back.
Comment 1 Davide Rossetti 2006-07-04 08:31:08 EDT
Created attachment 131901 [details]
dmesg of 2.6.16-1.2133_FC5
Comment 2 Davide Rossetti 2006-07-04 10:36:05 EDT
Created attachment 131903 [details]
lspci dump
Comment 3 Dave Jones 2006-10-16 13:59:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Ken Hall 2006-10-27 15:43:32 EDT
Failed on 2.6.18-1.2200, and is also still failing on FC6 at 2.6.18-1.2798.  
See config under my post above.
Comment 5 Ken Hall 2006-10-27 15:45:25 EDT
Sorry, no config provided on this issue.  This is Toshiba M45-S2692.  Same 
result with both FC5 and FC6.
Comment 6 Vladimir Mosgalin 2006-10-31 18:04:33 EST
I also observe this bug, on P965 system with "Marvell Technology Group Ltd.
88E8053 PCI-E Gigabit Ethernet Controller (rev 22)". I upgraded while I was
using 2.6.17 (i386) on FC5, I experienced this ~ once a day, right now the same
happens with FC6 and kernel 2.6.18-1.2798 (x86-64). dmesg output right after it
happens is

Oct 30 22:02:15 washi kernel: NETDEV WATCHDOG: eth0: transmit timed out
Oct 30 22:02:15 washi kernel: sky2 eth0: tx timeout
Oct 30 22:02:15 washi kernel: sky2 hardware hung? flushing

rmmod & modprobe fixes this.
Comment 7 John W. Linville 2006-11-21 10:51:10 EST
Please try the fedora-netdev kernels:


Does the sky2 driver version in these kernels work any better for you?
Comment 8 John W. Linville 2007-08-07 17:23:13 EDT
Closed due to lack of response...please reopen if/when the requested info 
becomes available.

Note You need to log in before you can comment on or make changes to this bug.